Package org.jfree.layouting.output.pageable

## Class LogicalPageKey

- java.lang.Object
- - org.jfree.layouting.output.pageable.LogicalPageKey

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class LogicalPageKey
      extends java.lang.Object
      implements java.io.Serializable

  Creation-Date: 10.11.2006, 13:04:36
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogicalPageKey​(int position, int width, int height)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getHeight​()` |
    `PhysicalPageKey` | `getPage​(int x, int y)` |
    `int` | `getPosition​()` |
    `int` | `getWidth​()` |
    `int` | `hashCode​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalPageKey

          public LogicalPageKey​(int position,
                                int width,
                                int height)

  - ### Method Detail

    - #### getWidth

          public int getWidth​()

    - #### getHeight

          public int getHeight​()

    - #### getPosition

          public int getPosition​()

    - #### getPage

          public PhysicalPageKey getPage​(int x,
                                         int y)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`